clear @s
effect give @s blindness 2 0 true
playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1000 0.9 1
tp @s 0 100 0 0 0
spawnpoint @s 0 100 0
gamemode adventure @s
effect give @s instant_health 1 100 true
effect give @s weakness infinite 100 true
effect give @s saturation infinite 100 true
effect give @s resistance infinite 100 true

execute if entity @s[tag=freeplay] run function chop:freeplay/exit

team join player @s
title @s times 10 60 10
title @s title {"text":"Biome Run Remix","color":"gold"}
title @s subtitle [{"text":"Welcome, ","color":"dark_aqua","italic":false},{"selector":"@s"}]
#tellraw @s ["",{"text":"> ","color":"green"},{"text":"Jump on a level ","color":"yellow"},{"text":"[Freeplay] ","color":"aqua"},{"text":"or enter a portal ","color":"yellow"},{"text":"[Race Mode] ","color":"gold"},{"text":"to start!","color":"yellow"}]
playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1000 0.9 1

execute if entity @s[tag=!registered] run function chop:player_handling/cosmetics
team join player @s
tag @s add registered
scoreboard players reset @s leave


tag @s remove end
tag @s remove ocean
tag @s remove nether
tag @s remove desert
tag @s remove ice
tag @s remove bamboo
tag @s remove deep_dark
tag @s remove cherry

#root advancement
advancement grant @s[advancements={sette:root=false}] only sette:root

#health
execute as @a at @s run attribute @s generic.max_health base set 20
effect give @s instant_health 10 10 true

#give info book
item replace entity @s hotbar.8 with written_book[written_book_content={title:"Info Book",author:"Supersette",generation:0,pages:['[{"text":"Biome Run Remix","color":"red","bold":true},{"text":" is a community-made map based on the Biome Run trilogy by Supersette!\\n\\n","color":"black","bold":false,"italic":false},{"text":"This map was built ","color":"black","bold":false},{"text":"in 1 hour","color":"black","bold":false,"underlined":true},{"text":" by 8 different teams and the levels were later polished up by Rajdi & Supersette.","color":"black","bold":false}]','[{"text":"The "},{"text":"winners","color":"gold"},{"text":" of the competition were "},{"text":"Rajdi "},{"text":"and "},{"text":"gravitymix "},{"text":"with the "},{"text":"Cherry ","color":"light_purple"},{"text":"biome!"},{"text":"\\n\\n\\nCommunity Events\\n","bold":true},{"text":"\\nJoin "},{"text":"my discord","color":"dark_purple","clickEvent":{"action":"open_url","value":"https://discord.gg/j4kRYPn"}},{"text":" and the "},{"text":"Yeggs","color":"dark_aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://www.yeggs.org/discord"}},{"text":" discord to participate in events like this."}]','[{"text":"There\'s an additional "},{"text":"secret level","color":"dark_purple"},{"text":" which can be unlocked by finding the 4 digits scattered around various levels!"},{"text":"\\n\\n\\n\\n\\nTo play the original levels, complete the remade levels first :)","italic":true}]','[{"text":"Other participants from the event","bold":true},{"text":"\\n\\nPigleet & Chopper2112,\\n","color":"dark_purple","bold":false},{"text":"kamilord248 & Koxures,","color":"#2B8EFF","bold":false},{"text":"\\nRobeens & TheWorfer27,","color":"red","bold":false},{"text":"\\nChump_the_Lump & Die_Spinatbox,\\n","color":"gold","bold":false},{"text":"Pangany & Tado,\\n","color":"dark_aqua","bold":false},{"text":"P2ime","color":"dark_green","bold":false}]']}] 1

#for mcstacker: {id:"minecraft:written_book",count:1,components:{"minecraft:written_book_content":{title:"Info Book",author:"Supersette",generation:0,pages:['[{"text":"Biome Run Remix","color":"red","bold":true},{"text":" is a community-made map based on the Biome Run trilogy by Supersette!\\n\\n","color":"black","bold":false,"italic":false},{"text":"This map was built ","color":"black","bold":false},{"text":"in 1 hour","color":"black","bold":false,"underlined":true},{"text":" by 8 different teams and the levels were later polished up by Rajdi & Supersette.","color":"black","bold":false}]','[{"text":"The "},{"text":"winners","color":"gold"},{"text":" of the competition were "},{"text":"Rajdi "},{"text":"and "},{"text":"gravitymix "},{"text":"with the "},{"text":"Cherry ","color":"light_purple"},{"text":"biome!"},{"text":"\\n\\n\\nCommunity Events\\n","bold":true},{"text":"\\nJoin "},{"text":"my discord","color":"dark_purple","clickEvent":{"action":"open_url","value":"https://discord.gg/j4kRYPn"}},{"text":" and the "},{"text":"Yeggs","color":"dark_aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://www.yeggs.org/discord"}},{"text":" discord to participate in events like this."}]','[{"text":"There\'s an additional "},{"text":"secret level","color":"dark_purple"},{"text":" which can be unlocked by finding the 4 digits scattered around various levels!"},{"text":"\\n\\n\\n\\n\\nTo play the original levels, complete the remade levels first :)","italic":true}]','[{"text":"Other participants from the event","bold":true},{"text":"\\n\\nPigleet & Chopper2112,\\n","color":"dark_purple","bold":false},{"text":"kamilord248 & Koxures,","color":"#2B8EFF","bold":false},{"text":"\\nRobeens & TheWorfer27,","color":"red","bold":false},{"text":"\\nChump_the_Lump & Die_Spinatbox,\\n","color":"gold","bold":false},{"text":"Pangany & Tado,\\n","color":"dark_aqua","bold":false},{"text":"P2ime","color":"dark_green","bold":false}]']}}}